org.apache.poi.xddf.usermodel

## Enum PresetColor

- java.lang.Object
- - java.lang.Enum<PresetColor>
  - - org.apache.poi.xddf.usermodel.PresetColor

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PresetColor>

      public enum PresetColor
      extends java.lang.Enum<PresetColor>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALICE_BLUE`
    `ANTIQUE_WHITE`
    `AQUA`
    `AQUAMARINE`
    `AZURE`
    `BEIGE`
    `BISQUE`
    `BLACK`
    `BLANCHED_ALMOND`
    `BLUE`
    `BLUE_VIOLET`
    `CADET_BLUE`
    `CHARTREUSE`
    `CHOCOLATE`
    `CORAL`
    `CORNFLOWER_BLUE`
    `CORNSILK`
    `CRIMSON`
    `CYAN`
    `DARK_BLUE`
    `DARK_CYAN`
    `DARK_GOLDENROD`
    `DARK_GRAY`
    `DARK_GREEN`
    `DARK_KHAKI`
    `DARK_MAGENTA`
    `DARK_OLIVE_GREEN`
    `DARK_ORANGE`
    `DARK_ORCHID`
    `DARK_RED`
    `DARK_SALMON`
    `DARK_SEA_GREEN`
    `DARK_SLATE_BLUE`
    `DARK_SLATE_GRAY`
    `DARK_TURQUOISE`
    `DARK_VIOLET`
    `DEEP_PINK`
    `DEEP_SKY_BLUE`
    `DIM_GRAY`
    `DODGER_BLUE`
    `FIREBRICK`
    `FLORAL_WHITE`
    `FOREST_GREEN`
    `FUCHSIA`
    `GAINSBORO`
    `GHOST_WHITE`
    `GOLD`
    `GOLDENROD`
    `GRAY`
    `GREEN`
    `GREEN_YELLOW`
    `HONEYDEW`
    `HOT_PINK`
    `INDIAN_RED`
    `INDIGO`
    `IVORY`
    `KHAKI`
    `LAVENDER`
    `LAVENDER_BLUSH`
    `LAWN_GREEN`
    `LEMON_CHIFFON`
    `LIGHT_BLUE`
    `LIGHT_CORAL`
    `LIGHT_CYAN`
    `LIGHT_GOLDENROD_YELLOW`
    `LIGHT_GRAY`
    `LIGHT_GREEN`
    `LIGHT_PINK`
    `LIGHT_SALMON`
    `LIGHT_SEA_GREEN`
    `LIGHT_SKY_BLUE`
    `LIGHT_SLATE_GRAY`
    `LIGHT_STEEL_BLUE`
    `LIGHT_YELLOW`
    `LIME`
    `LIME_GREEN`
    `LINEN`
    `MAGENTA`
    `MAROON`
    `MEDIUM_AQUAMARINE`
    `MEDIUM_BLUE`
    `MEDIUM_ORCHID`
    `MEDIUM_PURPLE`
    `MEDIUM_SEA_GREEN`
    `MEDIUM_SLATE_BLUE`
    `MEDIUM_SPRING_GREEN`
    `MEDIUM_TURQUOISE`
    `MEDIUM_VIOLET_RED`
    `MIDNIGHT_BLUE`
    `MINT_CREAM`
    `MISTY_ROSE`
    `MOCCASIN`
    `NAVAJO_WHITE`
    `NAVY`
    `OLD_LACE`
    `OLIVE`
    `OLIVE_DRAB`
    `ORANGE`
    `ORANGE_RED`
    `ORCHID`
    `PALE_GOLDENROD`
    `PALE_GREEN`
    `PALE_TURQUOISE`
    `PALE_VIOLET_RED`
    `PAPAYA_WHIP`
    `PEACH_PUFF`
    `PERU`
    `PINK`
    `PLUM`
    `POWDER_BLUE`
    `PURPLE`
    `RED`
    `ROSY_BROWN`
    `ROYAL_BLUE`
    `SADDLE_BROWN`
    `SALMON`
    `SANDY_BROWN`
    `SEA_GREEN`
    `SEA_SHELL`
    `SIENNA`
    `SILVER`
    `SKY_BLUE`
    `SLATE_BLUE`
    `SLATE_GRAY`
    `SNOW`
    `SPRING_GREEN`
    `STEEL_BLUE`
    `TAN`
    `TEAL`
    `THISTLE`
    `TOMATO`
    `TURQUOISE`
    `VIOLET`
    `WHEAT`
    `WHITE`
    `WHITE_SMOKE`
    `YELLOW`
    `YELLOW_GREEN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PresetColor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PresetColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALICE_BLUE

          public static final PresetColor ALICE_BLUE

    - #### ANTIQUE_WHITE

          public static final PresetColor ANTIQUE_WHITE

    - #### AQUA

          public static final PresetColor AQUA

    - #### AQUAMARINE

          public static final PresetColor AQUAMARINE

    - #### AZURE

          public static final PresetColor AZURE

    - #### BEIGE

          public static final PresetColor BEIGE

    - #### BISQUE

          public static final PresetColor BISQUE

    - #### BLACK

          public static final PresetColor BLACK

    - #### BLANCHED_ALMOND

          public static final PresetColor BLANCHED_ALMOND

    - #### BLUE

          public static final PresetColor BLUE

    - #### BLUE_VIOLET

          public static final PresetColor BLUE_VIOLET

    - #### CADET_BLUE

          public static final PresetColor CADET_BLUE

    - #### CHARTREUSE

          public static final PresetColor CHARTREUSE

    - #### CHOCOLATE

          public static final PresetColor CHOCOLATE

    - #### CORAL

          public static final PresetColor CORAL

    - #### CORNFLOWER_BLUE

          public static final PresetColor CORNFLOWER_BLUE

    - #### CORNSILK

          public static final PresetColor CORNSILK

    - #### CRIMSON

          public static final PresetColor CRIMSON

    - #### CYAN

          public static final PresetColor CYAN

    - #### DEEP_PINK

          public static final PresetColor DEEP_PINK

    - #### DEEP_SKY_BLUE

          public static final PresetColor DEEP_SKY_BLUE

    - #### DIM_GRAY

          public static final PresetColor DIM_GRAY

    - #### DARK_BLUE

          public static final PresetColor DARK_BLUE

    - #### DARK_CYAN

          public static final PresetColor DARK_CYAN

    - #### DARK_GOLDENROD

          public static final PresetColor DARK_GOLDENROD

    - #### DARK_GRAY

          public static final PresetColor DARK_GRAY

    - #### DARK_GREEN

          public static final PresetColor DARK_GREEN

    - #### DARK_KHAKI

          public static final PresetColor DARK_KHAKI

    - #### DARK_MAGENTA

          public static final PresetColor DARK_MAGENTA

    - #### DARK_OLIVE_GREEN

          public static final PresetColor DARK_OLIVE_GREEN

    - #### DARK_ORANGE

          public static final PresetColor DARK_ORANGE

    - #### DARK_ORCHID

          public static final PresetColor DARK_ORCHID

    - #### DARK_RED

          public static final PresetColor DARK_RED

    - #### DARK_SALMON

          public static final PresetColor DARK_SALMON

    - #### DARK_SEA_GREEN

          public static final PresetColor DARK_SEA_GREEN

    - #### DARK_SLATE_BLUE

          public static final PresetColor DARK_SLATE_BLUE

    - #### DARK_SLATE_GRAY

          public static final PresetColor DARK_SLATE_GRAY

    - #### DARK_TURQUOISE

          public static final PresetColor DARK_TURQUOISE

    - #### DARK_VIOLET

          public static final PresetColor DARK_VIOLET

    - #### DODGER_BLUE

          public static final PresetColor DODGER_BLUE

    - #### FIREBRICK

          public static final PresetColor FIREBRICK

    - #### FLORAL_WHITE

          public static final PresetColor FLORAL_WHITE

    - #### FOREST_GREEN

          public static final PresetColor FOREST_GREEN

    - #### FUCHSIA

          public static final PresetColor FUCHSIA

    - #### GAINSBORO

          public static final PresetColor GAINSBORO

    - #### GHOST_WHITE

          public static final PresetColor GHOST_WHITE

    - #### GOLD

          public static final PresetColor GOLD

    - #### GOLDENROD

          public static final PresetColor GOLDENROD

    - #### GRAY

          public static final PresetColor GRAY

    - #### GREEN

          public static final PresetColor GREEN

    - #### GREEN_YELLOW

          public static final PresetColor GREEN_YELLOW

    - #### HONEYDEW

          public static final PresetColor HONEYDEW

    - #### HOT_PINK

          public static final PresetColor HOT_PINK

    - #### INDIAN_RED

          public static final PresetColor INDIAN_RED

    - #### INDIGO

          public static final PresetColor INDIGO

    - #### IVORY

          public static final PresetColor IVORY

    - #### KHAKI

          public static final PresetColor KHAKI

    - #### LAVENDER

          public static final PresetColor LAVENDER

    - #### LAVENDER_BLUSH

          public static final PresetColor LAVENDER_BLUSH

    - #### LAWN_GREEN

          public static final PresetColor LAWN_GREEN

    - #### LEMON_CHIFFON

          public static final PresetColor LEMON_CHIFFON

    - #### LIME

          public static final PresetColor LIME

    - #### LIME_GREEN

          public static final PresetColor LIME_GREEN

    - #### LINEN

          public static final PresetColor LINEN

    - #### LIGHT_BLUE

          public static final PresetColor LIGHT_BLUE

    - #### LIGHT_CORAL

          public static final PresetColor LIGHT_CORAL

    - #### LIGHT_CYAN

          public static final PresetColor LIGHT_CYAN

    - #### LIGHT_GOLDENROD_YELLOW

          public static final PresetColor LIGHT_GOLDENROD_YELLOW

    - #### LIGHT_GRAY

          public static final PresetColor LIGHT_GRAY

    - #### LIGHT_GREEN

          public static final PresetColor LIGHT_GREEN

    - #### LIGHT_PINK

          public static final PresetColor LIGHT_PINK

    - #### LIGHT_SALMON

          public static final PresetColor LIGHT_SALMON

    - #### LIGHT_SEA_GREEN

          public static final PresetColor LIGHT_SEA_GREEN

    - #### LIGHT_SKY_BLUE

          public static final PresetColor LIGHT_SKY_BLUE

    - #### LIGHT_SLATE_GRAY

          public static final PresetColor LIGHT_SLATE_GRAY

    - #### LIGHT_STEEL_BLUE

          public static final PresetColor LIGHT_STEEL_BLUE

    - #### LIGHT_YELLOW

          public static final PresetColor LIGHT_YELLOW

    - #### MAGENTA

          public static final PresetColor MAGENTA

    - #### MAROON

          public static final PresetColor MAROON

    - #### MEDIUM_AQUAMARINE

          public static final PresetColor MEDIUM_AQUAMARINE

    - #### MEDIUM_BLUE

          public static final PresetColor MEDIUM_BLUE

    - #### MEDIUM_ORCHID

          public static final PresetColor MEDIUM_ORCHID

    - #### MEDIUM_PURPLE

          public static final PresetColor MEDIUM_PURPLE

    - #### MEDIUM_SEA_GREEN

          public static final PresetColor MEDIUM_SEA_GREEN

    - #### MEDIUM_SLATE_BLUE

          public static final PresetColor MEDIUM_SLATE_BLUE

    - #### MEDIUM_SPRING_GREEN

          public static final PresetColor MEDIUM_SPRING_GREEN

    - #### MEDIUM_TURQUOISE

          public static final PresetColor MEDIUM_TURQUOISE

    - #### MEDIUM_VIOLET_RED

          public static final PresetColor MEDIUM_VIOLET_RED

    - #### MIDNIGHT_BLUE

          public static final PresetColor MIDNIGHT_BLUE

    - #### MINT_CREAM

          public static final PresetColor MINT_CREAM

    - #### MISTY_ROSE

          public static final PresetColor MISTY_ROSE

    - #### MOCCASIN

          public static final PresetColor MOCCASIN

    - #### NAVAJO_WHITE

          public static final PresetColor NAVAJO_WHITE

    - #### NAVY

          public static final PresetColor NAVY

    - #### OLD_LACE

          public static final PresetColor OLD_LACE

    - #### OLIVE

          public static final PresetColor OLIVE

    - #### OLIVE_DRAB

          public static final PresetColor OLIVE_DRAB

    - #### ORANGE

          public static final PresetColor ORANGE

    - #### ORANGE_RED

          public static final PresetColor ORANGE_RED

    - #### ORCHID

          public static final PresetColor ORCHID

    - #### PALE_GOLDENROD

          public static final PresetColor PALE_GOLDENROD

    - #### PALE_GREEN

          public static final PresetColor PALE_GREEN

    - #### PALE_TURQUOISE

          public static final PresetColor PALE_TURQUOISE

    - #### PALE_VIOLET_RED

          public static final PresetColor PALE_VIOLET_RED

    - #### PAPAYA_WHIP

          public static final PresetColor PAPAYA_WHIP

    - #### PEACH_PUFF

          public static final PresetColor PEACH_PUFF

    - #### PERU

          public static final PresetColor PERU

    - #### PINK

          public static final PresetColor PINK

    - #### PLUM

          public static final PresetColor PLUM

    - #### POWDER_BLUE

          public static final PresetColor POWDER_BLUE

    - #### PURPLE

          public static final PresetColor PURPLE

    - #### RED

          public static final PresetColor RED

    - #### ROSY_BROWN

          public static final PresetColor ROSY_BROWN

    - #### ROYAL_BLUE

          public static final PresetColor ROYAL_BLUE

    - #### SADDLE_BROWN

          public static final PresetColor SADDLE_BROWN

    - #### SALMON

          public static final PresetColor SALMON

    - #### SANDY_BROWN

          public static final PresetColor SANDY_BROWN

    - #### SEA_GREEN

          public static final PresetColor SEA_GREEN

    - #### SEA_SHELL

          public static final PresetColor SEA_SHELL

    - #### SIENNA

          public static final PresetColor SIENNA

    - #### SILVER

          public static final PresetColor SILVER

    - #### SKY_BLUE

          public static final PresetColor SKY_BLUE

    - #### SLATE_BLUE

          public static final PresetColor SLATE_BLUE

    - #### SLATE_GRAY

          public static final PresetColor SLATE_GRAY

    - #### SNOW

          public static final PresetColor SNOW

    - #### SPRING_GREEN

          public static final PresetColor SPRING_GREEN

    - #### STEEL_BLUE

          public static final PresetColor STEEL_BLUE

    - #### TAN

          public static final PresetColor TAN

    - #### TEAL

          public static final PresetColor TEAL

    - #### THISTLE

          public static final PresetColor THISTLE

    - #### TOMATO

          public static final PresetColor TOMATO

    - #### TURQUOISE

          public static final PresetColor TURQUOISE

    - #### VIOLET

          public static final PresetColor VIOLET

    - #### WHEAT

          public static final PresetColor WHEAT

    - #### WHITE

          public static final PresetColor WHITE

    - #### WHITE_SMOKE

          public static final PresetColor WHITE_SMOKE

    - #### YELLOW

          public static final PresetColor YELLOW

    - #### YELLOW_GREEN

          public static final PresetColor YELLOW_GREEN

  - ### Method Detail

    - #### values

          public static PresetColor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PresetColor c : PresetColor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PresetColor valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.